Compatibilità con le versioni precedenti della AEM 6.4

Panoramica

Nota

Per un elenco delle modifiche al contenuto e alla configurazione che non rientrano nell’ambito del pacchetto di compatibilità, vedere Ristrutturazione repository in AEM 6.4.

Nella AEM 6.4, tutte le funzioni sono state sviluppate tenendo presente la compatibilità con le versioni precedenti.

Nella maggior parte dei casi, i clienti che eseguono AEM 6.3 non devono cambiare il codice o le personalizzazioni durante l'aggiornamento. Per i clienti AEM 6.1 e 6.2 non sono previste modifiche di rottura aggiuntive rispetto a quelle che si verificavano durante un aggiornamento alla versione 6.3.

Per le eccezioni per le quali non è possibile mantenere le funzionalità compatibili con le versioni precedenti, è possibile ottenere la compatibilità con le versioni precedenti per i bundle e i contenuti installando un pacchetto di compatibilità per la versione 6.3 (vedere come impostare di seguito per informazioni su dove scaricare). Questo pacchetto compat ripristina la compatibilità per le applicazioni conformi a AEM 6.3.

Il pacchetto di compatibilità consente di eseguire AEM in modalità di compatibilità e differire lo sviluppo personalizzato rispetto alle nuove funzioni di AEM:

Nota

Si noti che il pacchetto di compatibilità è solo una soluzione temporanea per posticipare lo sviluppo richiesto per essere compatibile con AEM 6.4, la sua opzione consigliata solo come ultima opzione se non si è in grado di risolvere problemi di compatibilità attraverso lo sviluppo subito dopo l'aggiornamento. È fortemente consigliato passare alla modalità nativa e disinstallare il pacchetto di compatibilità una volta che si decide di procedere con lo sviluppo personalizzato basato su 6.4 e sfruttare la funzionalità completa 6.4.

screen_shot_2018-04-05at43339 pm

Il pacchetto di compatibilità presenta due modalità: Routing abilitato e Routing disattivato.

Questo consente di eseguire AEM 6.4 in tre modalità:

Modalità nativa:

La modalità nativa è per i clienti che desiderano utilizzare tutte le nuove funzionalità di AEM 6.4 e sono pronti a sviluppare le proprie personalizzazioni in modo che funzionino con tutte le nuove funzioni.

Ciò significa che potrebbe essere necessario apportare modifiche all'applicazione subito dopo l'aggiornamento.

Modalità compatibilità: Pacchetto di compatibilità installato con Routing abilitato

La modalità di compatibilità è per i clienti che hanno personalizzazioni di interfacce non compatibili con le versioni precedenti. Questo consente di eseguire AEM in modalità di compatibilità e differire lo sviluppo personalizzato richiesto rispetto alle nuove funzionalità AEM non compatibili con alcuni codici personalizzati.

Modalità legacy: Pacchetto di compatibilità installato con Routing disattivato

La modalità legacy è per i clienti con interfacce personalizzate basate su codice legacy o obsoleto AEM spostato nel pacchetto di compatibilità.

image2018-2-12_23-58-37

Configurazione

Il pacchetto di compatibilità di AEM 6.3 sarà installabile come pacchetto utilizzando Package Manager al collegamento.

Una volta installato il pacchetto di compatibilità, il routing può essere abilitato o disabilitato utilizzando uno switch nella configurazione OSGI come mostrato di seguito:

screen_shot_2017-11-27at122421pm

Una volta installato e configurato il pacchetto di compatibilità, le funzioni verranno utilizzate in base alla modalità di compatibilità scelta.

In questa pagina